<?php
	
	if($_SERVER['REQUEST_METHOD']=='POST'){
		if(isset($_POST['dshb_options'])){
		$fkeys=Array('dshb_quickfinder'
			,'dshb_custom_bg'
			,'dshb_custom_hdr'
			,'dshb_theme_editor'
			,'dshb_plugin_editor'
			
			,'dshb_akismet_stats'
			,'dshb_w3tc'
			);
		foreach($fkeys as $fkey){
			if(isset($_POST[$fkey])){$d = stripslashes($_POST[$fkey]);$d = $d=='on'?'':-1;}else{ $d=-1; }
			update_option($fkey,$d);
		}
		
		$uri = $_SERVER['REQUEST_URI'];
		if(substr($uri,-13)=='&updated=true'){ $new_uri=$uri; }
		else{ $new_uri="$uri&updated=true"; }
		
		header("Location: $new_uri"); exit();
		}
	}
	
	function dshbmenu_options_page() {
		global $wpdb, $table_prefix;

		if(isset($_GET['htaccess'])){
			if($htaccess = trim(strip_tags($_GET['htaccess']))){
				$hdir = dirname(__FILE__)."/../../../$htaccess";
				if(is_dir($hdir)){
					$hfile = "$hdir/.htaccess";
					if(! file_exists($hfile)){
						$htext = 'IndexIgnore */*';
						file_put_contents($hfile,$htext);
					}
				}
			}
		}
		
		$plug_title = 'Dashboard & Menu Cleaner';
		$plug_url = 'http://www.fedmich.com/tools/dashboard-menus-cleaner';
		?>
		<div class="wrap dshbmenu_guide">
		<div class="icon32" id="icon-edit"><br></div>
		<h2><?php echo $plug_title;?> v<?php echo DSHBMENU_VERSION;?></h2>
		
		<table border="0" align="center">
		<tr>
		<td align="left" valign="top" width="600" >
		
		<div class="todos">
		<style type="text/css">
		<!--
		<?php echo file_get_contents(dirname(__FILE__)."/dshbmenu-options.css"); ?>
		-->
		</style>
		
		<p>
			The plugin is now <b>activated</b>.
			
		</p>
		<form action="" method="POST">
		
		<input type="hidden" name="dshb_options" value="" />
		<p>
			<label for="dshb_quickfinder">Use Quick Finder menu?</label>
			<input name="dshb_quickfinder" id="dshb_quickfinder" type="checkbox" <?php echo get_settings('dshb_quickfinder')?'':'checked'; ?> />
		</p>
		
		<fieldset class="options">
		<legend>Basic settings</legend>
		
		<p>
			This version removes the following items from your Dashboard:
			<ol class="strike_list">
				<li>WordPress Blog</li>
				<li>Other WordPress News</li>
				<li>Plugins news</li>
			</ol>
		</p>
		<p>
			The following items are <b>NOT</b> removed from your Dashboard
			<br />
			, because they will become useful to your site later on:
			<ol>
				<li>Incoming Links</li>
			</ol>
		</p>
		
		</fieldset>
		
		<br />
		
		<fieldset class="options">
		<legend>Advance settings</legend>
			<p>
			<ul>
			<li>
			<input name="dshb_custom_bg" id="dshb_custom_bg" type="checkbox" <?php echo get_settings('dshb_custom_bg')?'':'checked'; ?> />
			<label for="dshb_custom_bg">Custom Backgrounds</label>
			</li>
			<li>
			<input name="dshb_custom_hdr" id="dshb_custom_hdr" type="checkbox" <?php echo get_settings('dshb_custom_hdr')?'':'checked'; ?> />
			<label for="dshb_custom_hdr">Custom Header</label>
			</li>
			
			<li>
			<input name="dshb_theme_editor" id="dshb_theme_editor" type="checkbox" <?php echo get_settings('dshb_theme_editor')?'':'checked'; ?> />
			<label for="dshb_theme_editor">Theme Editor</label>
			</li>
			<li>
			<input name="dshb_plugin_editor" id="dshb_plugin_editor" type="checkbox" <?php echo get_settings('dshb_plugin_editor')?'':'checked'; ?> />
			<label for="dshb_plugin_editor">Plugin Editor</label>
			</li>
			
			</ul>
			
			</p>
			
		</fieldset>
		
		<br />
		<fieldset class="options">
			<legend>Plugin specific settings</legend>
			
			<div class="">
			<p>
			If you use these plugins, and you want to remove them on your menu
			</p>
			<ul>
			<li>
			<input name="dshb_akismet_stats" id="dshb_akismet_stats" type="checkbox" <?php echo get_settings('dshb_akismet_stats')?'':'checked'; ?> />
			<label for="dshb_akismet_stats">Akismet Stats</label>
			</li>
			<li>
			<input name="dshb_w3tc" id="dshb_w3tc" type="checkbox" <?php echo get_settings('dshb_w3tc')?'':'checked'; ?> />
			<label for="dshb_w3tc">w3 Total Cache widgets</label>
			</li>
			</ul>
			
			</div>
			
		</fieldset>
		
			<p class="submit">
			<input type="submit" value="Save Settings" />
			</p>
		</form>
		
		<br />
		
			Stay tune for the next incoming versions :)
		</p>
		
		<p>
			<br />
			<small>Send your suggestions and comments on <a target="_blank" href= "<?php echo $plug_url; ?>">fedmich.com/tools/</a></small>
			
			<br />
			<br />
			<br />
			Brought to you by <b><a target="_blank" href="http://fedmich.com/works/#wpdshb">Fedmich</a></b>
			<br />
			<br />
			<a target="_blank" href="http://www.fedmich.com/tools/donate" ><img src="http://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" width="122" height="47" alt="Donate" title="Donate" style="border:0px;" /></a>
			
			</p>
			
			</td>
			<td align="left" valign="top" width="300">
				<h2>About</h2>
				<div style="padding:15px;">
				<small>Show your <b>support</b> by clicking <b>Like</b> below on facebook.</small>
				<div style="padding:5px;">
				<iframe src="http://www.facebook.com/plugins/like.php?href=http%3A%2F%2Fwww.facebook.com%2FFedmichWorks&amp;layout=standard&amp;show_faces=true&amp;width=240&amp;action=like&amp;font=lucida+grande&amp;colorscheme=light&amp;height=80" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:240px; height:80px;" allowTransparency="true"></iframe>
				<br />
				<iframe src="http://fedwp.com/news/dashboard-menus-cleaner/?sidebar" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:240px; height:400px;" allowTransparency="true"></iframe>
				</div>

			
			
			</div>
		
		</td>
		</tr>
		</table>
		</div>
		
		</div>
		<?php
	}
	
	function dshbmenu_add_admin(){
		add_options_page('Dashboard Cleaner', 'Dashboard Cleaner', 1, 'dshbmenu-options.php', 'dshbmenu_options_page');
	}
	
	add_action('admin_menu', 'dshbmenu_add_admin');
	
?>